Bug 488911 - Review Request: perl-Hash-Merge-Simple - Recursively merge two or more hashes, simply
Review Request: perl-Hash-Merge-Simple - Recursively merge two or more hashes...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Hash-Merg...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 01:06 EST by Chris Weyl
Modified: 2009-03-08 14:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-08 14:58:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-03-06 01:06:14 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Hash-Merge-Simple.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Hash-Merge-Simple-0.04-1.fc10.src.rpm

Description:
Hash::Merge::Simple will recursively merge two or more hashes and return
the result as a new hash reference. The merge function will descend and
merge hashes that exist under the same node in both the left and right
hash, but doesn't attempt to combine arrays, objects, scalars, or
anything else. The rightmost hash also takes precedence, replacing
whatever was in the left hash if a conflict occurs. This code was pretty
much taken straight from Catalyst::Utils, and modified to handle more
than 2 hashes at the same time.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1225712

*rt-0.05
Comment 1 Parag AN(पराग) 2009-03-06 01:48:56 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1225712
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
977b6f679977e720ea70cef6acd00b47  Hash-Merge-Simple-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=14,  0 wallclock secs ( 0.00 usr  0.02 sys +  0.10 cusr  0.06 csys =  0.18 CPU)
+ Package perl-Hash-Merge-Simple-0.04-1.fc11-noarch =>
  Provides: perl(Hash::Merge::Simple) = 0.04
  Requires: perl(strict) perl(vars) perl(warnings)

APPROVED.
Comment 2 Chris Weyl 2009-03-06 02:09:06 EST
New Package CVS Request
=======================
Package Name: perl-Hash-Merge-Simple
Short Description: Recursively merge two or more hashes, simply
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-03-07 12:32:57 EST
cvs done.
Comment 4 Chris Weyl 2009-03-08 14:58:15 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.